Bug 86671 - MAILMERGE: File-Print dialog changed - Yes-No reversed
Summary: MAILMERGE: File-Print dialog changed - Yes-No reversed
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: Other All
: low normal
Assignee: Adolfo Jayme
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3 ta...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-24 19:56 UTC by Timur
Modified: 2016-10-25 19:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Mailmerge Print dialog not correct in 4.4.0 beta (8.97 KB, image/jpeg)
2014-12-12 08:35 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2014-11-24 19:56:01 UTC
File-Print dialog for Mail Merge used to look like: Yes-No-Help for all versions up to 4.3.
Now in LO 4.4.0 it looks like: No-Yes-Cancel.
Since it usually reverse, it should look like this: Yes-No-Cancel and have same title.
Comment 1 Julien Nabet 2014-11-25 22:14:53 UTC
Let's ask some advice.
Comment 2 Timur 2014-11-26 09:38:20 UTC
Also, Cancel doesn't cancel form print dialog now, as it should. It works as No and opens print dialog.
Comment 3 Timur 2014-11-26 09:45:13 UTC
Also, Cancel doesn't cancel form print dialog now, as it should. 
Now it works as No to form print and opens normal print dialog.
Comment 4 Julien Nabet 2014-11-26 09:58:10 UTC
Jan-Marek: one for you? (noticing your involvement on MailMerge in git history)
Comment 5 Timur 2014-12-09 13:56:41 UTC
Still present in 4.4.0 beta2.
Comment 6 Adolfo Jayme 2014-12-10 23:38:53 UTC
I can take this one.

Timur, can you add a screenshot? That way I will find the affected dialog faster.
Comment 7 Timur 2014-12-12 08:35:49 UTC
Created attachment 110769 [details]
Mailmerge Print dialog not correct in 4.4.0 beta

As I wrote in https://bugs.freedesktop.org/show_bug.cgi?id=86668#c1:
Steps to reproduce: 
1. Open new Writer document
2. Turn on View-Data Sources
3. From built-in Bibliography data source with 20 records, add Author field to the document on the 1st page
- OR use attached https://bugs.freedesktop.org/attachment.cgi?id=110046 -
Comment 8 Timur 2014-12-12 08:38:05 UTC
Expected result for mail merge print dialog:
Yes: print form print
No: print document
Cancel: cancel print operation
Help: help for form print
Comment 9 Adolfo Jayme 2014-12-12 18:09:49 UTC
Thanks. I’ve submitted a patch to have these buttons in the same order as the rest.

On a (un)related note, I would remove Cancel from there...
Comment 10 Commit Notification 2014-12-15 13:51:31 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d795be27560343929822ed189e7b88309adec166

fdo#86671 Swap default order of Yes/No to suit what Windows users expect

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-12-16 20:31:34 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9fc959759b4e210ec63884bfe86495bdac32ac4&h=libreoffice-4-4

fdo#86671 Swap default order of Yes/No to suit what Windows users expect

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Timur 2014-12-17 17:49:31 UTC
(In reply to Timur from comment #8)
> Expected result for mail merge print dialog:
> Yes: print form print
> No: print document
> Cancel: cancel print operation
> Help: help for form print

Can you please write how it behaves now (to spare some time before beta 3 comes)?
The bug was not only on the order of Yes/No but also on the behavior.
Comment 13 Timur 2014-12-24 18:51:09 UTC
Expected result for mail merge print dialog:
> Yes: print form print dialog
> No: print document dialog
> Cancel: cancel print operation

Current result:
> Yes: print form print dialog
> No: print document dialog
> Cancel: print document dialog
Comment 14 Commit Notification 2015-09-04 14:33:37 UTC
Oliver Specht committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=75f890a7859148e6638b08eeb97a564bed606cad

tdf#86671: Cancel printing if query is cancelled

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Timur 2015-09-07 08:11:05 UTC
Verified. Thank you.